---
stages:
  - update
  - fix
  - lint
  - test
  - publish

include:
  - remote: https://gitlab.com/megabyte-labs/ci/gitlab-ci-templates/-/raw/master/dockerhub.gitlab-ci.yml
  - remote: https://gitlab.com/megabyte-labs/ci/gitlab-ci-templates/-/raw/master/gitlab-registry.gitlab-ci.yml
  - remote: https://gitlab.com/megabyte-labs/ci/gitlab-ci-templates/-/raw/master/hadolint.gitlab-ci.yml
  - remote: https://gitlab.com/megabyte-labs/ci/gitlab-ci-templates/-/raw/master/prettier.gitlab-ci.yml
  - remote: https://gitlab.com/megabyte-labs/ci/gitlab-ci-templates/-/raw/master/prettier-fix.gitlab-ci.yml
  - remote: https://gitlab.com/megabyte-labs/ci/gitlab-ci-templates/-/raw/master/shellcheck.gitlab-ci.yml
  - remote: https://gitlab.com/megabyte-labs/ci/gitlab-ci-templates/-/raw/master/update.gitlab-ci.yml
